## org.w3c.tools.resources.indexer
Class IndexerModule

    java.lang.Object
      |
      +--org.w3c.tools.resources.indexer.IndexerModule

public class IndexerModule
extends java.lang.Object

Field Summary
`protected IndexersCatalog` | `catalog`
`static java.lang.String` | `NAME`

Constructor Summary
`IndexerModule(IndexersCatalog catalog)`

Method Summary
`ResourceReference` | `getIndexer(ResourceContext ctxt)`
`ResourceReference` | `getIndexer(java.lang.String name)`
`void` | `registerIndexer(ResourceContext ctxt, java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final java.lang.String NAME

### catalog

    protected IndexersCatalog catalog

Constructor Detail

### IndexerModule

    public IndexerModule(IndexersCatalog catalog)

Method Detail

### registerIndexer

    public void registerIndexer(ResourceContext ctxt,
                                java.lang.String name)

### getIndexer

    public ResourceReference getIndexer(ResourceContext ctxt)

### getIndexer

    public ResourceReference getIndexer(java.lang.String name)